Module java.base
Package java.nio.channels

# Class AsynchronousCloseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.channels.ClosedChannelException
java.nio.channels.AsynchronousCloseException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ClosedByInterruptException`

    public class AsynchronousCloseException
    extends ClosedChannelException

Checked exception received by a thread when another thread closes the channel or the part of the channel upon which it is blocked in an I/O operation.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AsynchronousCloseException()` | Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AsynchronousCloseException

public AsynchronousCloseException()
Constructs an instance of this class.